## xapian-core 1.4.20

=== debian/changelog ===
xapian-core (1.4.20-2build1) kinetic; urgency=medium

  * Rebuild against new gcc-12 default (Closes: #1019258).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Sep 2022 13:56:14 +0200

xapian-core (1.4.20-2) unstable; urgency=medium

  * debian/xapian-tools.lintian-overrides: Drop overrides which are
    no longer needed.

 -- Olly Betts <olly@survex.com>  Sat, 09 Jul 2022 07:39:32 +1200

xapian-core (1.4.20-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Mark conformance with policy 4.6.1.
  * debian/source/lintian-overrides: Override bogus source-is-missing.

 -- Olly Betts <olly@survex.com>  Fri, 08 Jul 2022 11:46:50 +1200

xapian-core (1.4.18-4) unstable; urgency=medium

  * debian/copyright: Strip trailing whitespace.
  * debian/rules: Strip trailing whitespace.
  * libxapianVERSION-dev.install: Use wildcard instead of @VERSION_SUFFIX@
    for xapian-config path to make it easier to make packages of upstream
    git master.
  * debian/rules: Honour DEB_BUILD_OPTIONS=nocheck once more (broken in
    1.4.18-2 by rewrite to use dh).  (Closes #985642)

 -- Olly Betts <olly@survex.com>  Wed, 27 Oct 2021 11:49:13 +1300
