## xapian-core 1.4.21

=== debian/changelog ===
xapian-core (1.4.21-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/signing-key.asc: Convert from deprecated binary format.

 -- Olly Betts <olly@survex.com>  Fri, 23 Sep 2022 14:55:58 +1200
