=== debian/control ===
Source: xapian-core
Section: libs
Priority: optional
Maintainer: Olly Betts <olly@survex.com>
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 12), zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
Homepage: https://xapian.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/olly/xapian-core
Vcs-git: https://salsa.debian.org/olly/xapian-core.git

Package: libxapian30
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xapian-tools
Multi-Arch: same
Description: Search engine library
 This package contains the core Xapian runtime library.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: libxapian-dev
Architecture: any
Section: libdevel
Depends: libxapian30 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
Description: Development files for Xapian search engine library
 This package contains development libraries and headers for the core Xapian
 library.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: xapian-tools
Architecture: any
Section: utils
Depends: libxapian30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Basic tools for Xapian search engine library
 This package contains several tools related to Xapian.
  - copydatabase: Copy one or more Xapian databases.
  - delve: Inspect the contents of a Xapian database.
  - quest: Command line search of a Xapian database.
  - xapian-check: Check the validity of a Xapian database.
  - xapian-compact: Compact a quartz database, or merge and compact several.
  - xapian-progsrv: stdin/stdout based server, for searching databases remotely.
  - xapian-tcpsrv: TCP based server, used for searching databases remotely.
  - xapian-replicate: Replication client.
  - xapian-replicate-server: Replication server.
  - xapian-metadata: Inspect or set user metadata in a database.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: xapian-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libxapian-dev (= ${binary:Version})
Multi-Arch: foreign
Description: Core Xapian documentation
 This package contains general documentation about Xapian, and more detailed
 API documentation.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: xapian-examples
Architecture: any
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libxapian-dev (= ${binary:Version})
Description: Xapian simple example programs
 This package contains source code for some example programs which use the
 Xapian library.  The three "simple" examples are also included in binary
 form; binaries for the other examples can be found in the xapian-tools
 package (since they're useful tools in their own right).
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.
