## xapian-core 1.4.22

=== debian/changelog ===
xapian-core (1.4.22-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:48:32 +0200

xapian-core (1.4.22-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Mark conformance with policy 4.6.2.

 -- Olly Betts <olly@survex.com>  Thu, 02 Feb 2023 15:28:57 +1300
