## xapian-core 1.4.25

=== debian/changelog ===
xapian-core (1.4.25-2) unstable; urgency=medium

  * Enable LFS via dpkg to workaround buggy autoconf LFS probing with a
    C++ compiler.  (Closes: #1086249)
  * Enable 64-bit time_t explicitly via dpkg so it's on for i386 as well.
    The ABI is not affected by sizeof(time_t) but time_t is used inside the
    library so it seems cleaner to align this across architectures.

 -- Olly Betts <olly@survex.com>  Wed, 27 Nov 2024 08:19:45 +1300

xapian-core (1.4.25-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Mark conformance with policy 4.7.0.
  * debian/clean: Remove build tree(s) on clean.  (Closes: #1048438)

 -- Olly Betts <olly@survex.com>  Tue, 09 Apr 2024 16:23:16 +1200
