=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: xapian-core
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 4.6.2
+Maintainer: Olly Betts <olly@survex.com>
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 12), zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
 Rules-Requires-Root: no
