## xapian-core 1.4.29

=== debian/changelog ===
xapian-core (1.4.29-3) unstable; urgency=medium

  * debian/rules: Drop dependency on debian/control from
    override_dh_auto_configure as this is not necessary but can result in
    debian/control getting updated during the build.

 -- Olly Betts <olly@survex.com>  Fri, 02 May 2025 11:29:34 +1200

xapian-core (1.4.29-2) unstable; urgency=medium

  * No changes, just making a source upload because I managed to
    `dput xapian-core_1.4.29-1_amd64.changes` rather than the
    _source.changes.

 -- Olly Betts <olly@survex.com>  Sun, 20 Apr 2025 08:39:34 +1200

xapian-core (1.4.29-1) unstable; urgency=medium

  * New upstream release.
    + Fixed incorrect library versioning in 1.4.28. (Closes: #1103529)

 -- Olly Betts <olly@survex.com>  Sat, 19 Apr 2025 11:26:18 +1200

xapian-core (1.4.28-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Mark conformance with policy 4.7.2.

 -- Olly Betts <olly@survex.com>  Fri, 18 Apr 2025 11:30:35 +1200
