=== debian/rules ===
--- 
+++ 
@@ -130,7 +130,7 @@
 %:
 	dh $@
 
-override_dh_auto_configure: debian/control debian/libxapian$(libxapian_soversion).shlibs
+override_dh_auto_configure: debian/libxapian$(libxapian_soversion).shlibs
 	dh_testdir
 
 	# Configure in a subdirectory, for neatness.
