## xapian-core 1.4.31

=== debian/changelog ===
xapian-core (1.4.31-2) unstable; urgency=medium

  * debian/control: Regenerate from debian/control.in.

 -- Olly Betts <olly@survex.com>  Mon, 02 Mar 2026 14:40:00 +1300

xapian-core (1.4.31-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Mark conformance with policy 4.7.3.
  * debian/copyright: Eliminate reference to old FSF address.

 -- Olly Betts <olly@survex.com>  Mon, 02 Mar 2026 13:29:13 +1300
