## xapian-core 1.5.1

=== debian/changelog ===
xapian-core (1.5.1-1) experimental; urgency=medium

  * Upstream 2.0.0 release candidate packaged for uploading to experimental to
    facilitate wider testing.

 -- Olly Betts <olly@survex.com>  Wed, 04 Mar 2026 14:51:27 +1300
