=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Browser: https://salsa.debian.org/olly/xapian-core
 Vcs-git: https://salsa.debian.org/olly/xapian-core.git
 
-Package: libxapian30
+Package: libxapian45
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -29,7 +29,7 @@
 Package: libxapian-dev
 Architecture: any
 Section: libdevel
-Depends: libxapian30 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
+Depends: libxapian45 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
 Description: Development files for Xapian search engine library
  This package contains development libraries and headers for the core Xapian
@@ -46,7 +46,7 @@
 Package: xapian-tools
 Architecture: any
 Section: utils
-Depends: libxapian30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libxapian45 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Basic tools for Xapian search engine library
  This package contains several tools related to Xapian.
   - copydatabase: Copy one or more Xapian databases.
