=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006-2021 Olly Betts
+# Copyright (C) 2006-2026 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -43,6 +43,9 @@
 last_abi_change_version:=$(shell \
     awk 'BEGIN {v="1.4.0"} ($$0 ~ /^dnl [0-9][0-9]*:0:[0-9][0-9]* [0-9][0-9]*\./) { v = $$3 } END {print v}' configure.ac\
     )
+
+# FIXME: Temporary hack for 2.0.0 release candidates.
+last_abi_change_version:=1.5.0
 
 ifneq ($(DEV_SERIES),)
 libxapian_soversion:=-$(DEV_SERIES)-$(libxapian_soversion)
@@ -182,10 +185,6 @@
 	cp examples/*.cc debian/tmp/usr/share/doc/xapian-examples/examples
 	ln -s ../../../../lib/xapian-examples/examples debian/tmp/usr/share/doc/xapian-examples/examples/built
 
-	# Fix up link to the internal sourcedocs to point to those on the
-	# Xapian website since we don't build and package them.
-	sed -i 's,sourcedoc/html/annotated.html,https://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html
-
 	# FIXME: Temporarily ignore these - we need to decide where to package
 	# them (new arch all -common or bundle into the main lib with a
 	# suitably versioned path?)
