=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" https://xapian.org/download https://oligarchy.co.uk/xapian/(\d+\.\d+\.[\d.]+)/xapian-core-\1\.tar\.(?:xz|bz2|gz)
